<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.stm.base.domain.mapper.StDomainMapper">
    <update id="updateTreeNodeStatus" parameterType="java.lang.String">
        update st_domain set has_child = #{status} where domain_code = #{id}
    </update>

    <!-- 【vue3专用】 -->
    <select id="queryListByPid" parameterType="java.lang.Object" resultType="org.jeecg.common.system.vo.SelectTreeModel">
        select
        domain_code as "key",
        domain_name as "title",
        (case when has_child = '1' then 0 else 1 end) as isLeaf,
        upper_domain_code as parentId
        from st_domain
        where upper_domain_code = #{pid}
        <if test="query != null">
            <foreach collection="query.entrySet()" item="value" index="key">
                and ${key} = #{value}
            </foreach>
        </if>
    </select>
</mapper>